# To start, simply add and style the ScrollComponent.
# In this example, we first add a nav bar layer.
# Then we create 10 layers and add them to the content layer, which is naturally scrollable.
# Learn more here: framer.com/getstarted/guide/#scroll

# Create ScrollComponent
scroll = new ScrollComponent
	width: 240
	height: 350
	x: Align.center
	y: Align.center
	backgroundColor: "#E5E5E5"
	scrollHorizontal: false
	borderRadius: 6

# Add top and bottom inset
scroll.contentInset =
	top: 70

navBar = new Layer
	parent: scroll
	backgroundColor: "#50F"
	width: scroll.width 
	height: 60

# Add layers
for i in [0...10]
	layer = new Layer
		parent: scroll.content
		name: "row #{i}"
		width: 220
		height: 60
		x: 10
		y: 70 * i
		backgroundColor: "#FFF"
		borderRadius: 3